www/py-pywebdav - The NetBSD Packages Collection

Standards compliant Python WebDAV server and library

Python WebDAV implementation (level 1 and 2) that features a library that
enables you to integrate WebDAV server capabilities to your application.

A fully working example on how to use the library is included. You can find a
server in the DAVServer package. This server is fully functional and can even
be run as daemon.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/py-setuptools44 lang/python27 lang/python27

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy27-pywebdav-0.9.8.tgz
NetBSD 8.0earmv7hfpy27-pywebdav-0.9.8.tgz
NetBSD 8.0earmv7hfpy27-pywebdav-0.9.8.tgz
NetBSD 8.0i386py27-pywebdav-0.9.8.tgz
NetBSD 8.0i386py27-pywebdav-0.9.8.tgz
NetBSD 8.0powerpcpy27-pywebdav-0.9.8.tgz
NetBSD 8.0powerpcpy27-pywebdav-0.9.8.tgz
NetBSD 8.0powerpcpy27-pywebdav-0.9.8.tgz
NetBSD 8.0powerpcpy27-pywebdav-0.9.8.tgz
NetBSD 8.0x86_64py27-pywebdav-0.9.8.tgz
NetBSD 8.0x86_64py27-pywebdav-0.9.8.tgz
NetBSD 9.0aarch64py27-pywebdav-0.9.8.tgz
NetBSD 9.0aarch64py27-pywebdav-0.9.8.tgz
NetBSD 9.0aarch64py27-pywebdav-0.9.8.tgz
NetBSD 9.0alphapy27-pywebdav-0.9.8.tgz
NetBSD 9.0alphapy27-pywebdav-0.9.8.tgz
NetBSD 9.0alphapy27-pywebdav-0.9.8.tgz
NetBSD 9.0earmpy27-pywebdav-0.9.8.tgz
NetBSD 9.0earmpy27-pywebdav-0.9.8.tgz
NetBSD 9.0earmpy27-pywebdav-0.9.8.tgz
NetBSD 9.0earmv6hfpy27-pywebdav-0.9.8.tgz
NetBSD 9.0earmv6hfpy27-pywebdav-0.9.8.tgz
NetBSD 9.0earmv6hfpy27-pywebdav-0.9.8.tgz
NetBSD 9.0earmv7hfpy27-pywebdav-0.9.8.tgz
NetBSD 9.0earmv7hfpy27-pywebdav-0.9.8.tgz
NetBSD 9.0earmv7hfpy27-pywebdav-0.9.8.tgz
NetBSD 9.0earmv7hfpy27-pywebdav-0.9.8.tgz
NetBSD 9.0i386py27-pywebdav-0.9.8.tgz
NetBSD 9.0i386py27-pywebdav-0.9.8.tgz
NetBSD 9.0i386py27-pywebdav-0.9.8.tgz
NetBSD 9.0m68kpy27-pywebdav-0.9.8.tgz
NetBSD 9.0m68kpy27-pywebdav-0.9.8.tgz
NetBSD 9.0mips64ebpy27-pywebdav-0.9.8.tgz
NetBSD 9.0mips64ebpy27-pywebdav-0.9.8.tgz
NetBSD 9.0mips64ebpy27-pywebdav-0.9.8.tgz
NetBSD 9.0mips64ebpy27-pywebdav-0.9.8.tgz
NetBSD 9.0mips64ebpy27-pywebdav-0.9.8.tgz
NetBSD 9.0mipselpy27-pywebdav-0.9.8.tgz
NetBSD 9.0mipselpy27-pywebdav-0.9.8.tgz
NetBSD 9.0mipselpy27-pywebdav-0.9.8.tgz
NetBSD 9.0mipselpy27-pywebdav-0.9.8.tgz
NetBSD 9.0powerpcpy27-pywebdav-0.9.8.tgz
NetBSD 9.0powerpcpy27-pywebdav-0.9.8.tgz
NetBSD 9.0powerpcpy27-pywebdav-0.9.8.tgz
NetBSD 9.0powerpcpy27-pywebdav-0.9.8.tgz
NetBSD 9.0sh3elpy27-pywebdav-0.9.8.tgz
NetBSD 9.0sh3elpy27-pywebdav-0.9.8.tgz
NetBSD 9.0sh3elpy27-pywebdav-0.9.8.tgz
NetBSD 9.0sh3elpy27-pywebdav-0.9.8.tgz
NetBSD 9.0sparc64py27-pywebdav-0.9.8.tgz
NetBSD 9.0sparc64py27-pywebdav-0.9.8.tgz
NetBSD 9.0sparc64py27-pywebdav-0.9.8.tgz
NetBSD 9.0sparcpy27-pywebdav-0.9.8.tgz
NetBSD 9.0sparcpy27-pywebdav-0.9.8.tgz
NetBSD 9.0sparcpy27-pywebdav-0.9.8.tgz
NetBSD 9.0sparcpy27-pywebdav-0.9.8.tgz
NetBSD 9.0sparcpy27-pywebdav-0.9.8.tgz
NetBSD 9.0x86_64py27-pywebdav-0.9.8.tgz
NetBSD 9.0x86_64py27-pywebdav-0.9.8.tgz
NetBSD 9.0x86_64py27-pywebdav-0.9.8.tgz
NetBSD 9.0x86_64py27-pywebdav-0.9.8.tgz
NetBSD 9.0x86_64py27-pywebdav-0.9.8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.